/***********************************************************************
 adriamassanet@gmail.com
 TFC UOC 2013
 NoFeud Social CryptoPrototype
*************************************************************************/

chrome.extension.onRequest.addListener(function(request, sender, sendResponse)
{
    if (request.method == "cipher")
    {
        var masterCert = ctl_getMasterCert();
        var encoded=masterCert.subject+"$"+ctl_encodeMessage(request.text);
        sendResponse(encoded);
    }
    else if (request.method == "decipher")
    {
        var splitted = request.text.split("$");
        var decoded=ctl_decodeMessage(splitted[0],splitted[1]);
        sendResponse(encoded);
    }
    else
        sendResponse({}); // snub them.
});

function ctl_storageget(key)
{
    return localStorage[key];
}

function ctl_storageset(key,value)
{
    return localStorage[key]=value;
}

function ctl_storageexist(key)
{
    return (localStorage.getItem(key) !== null);
}

function ctl_storageremove(key)
{
    localStorage.removeItem(key);
}

function ctl_log(message)
{
    console.log(message);
}

ctl_doinit(
    function(){  console.log("init success."); },
    function(){ console.log("init failed."); }
);


